| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
EntityId_t Struct Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

Structure EntityId_t, entity id part of GUID_t. More...

`#include <EntityId_t.hpp>`

## Public Member Functions

| EntityId_t ()
| Default constructor. Unknown entity.
| EntityId_t (uint32_t id)
| Main constructor.
| EntityId_t (const EntityId_t &id)
| Copy constructor.
| EntityId_t (EntityId_t &&id)
| Move constructor.
EntityId_t & | operator= (const EntityId_t &id)
EntityId_t & | operator= (EntityId_t &&id)
EntityId_t & | operator= (uint32_t id)
| Assignment operator.
void | reverse ()
uint32_t | to_uint32 () const
| conversion to uint32_t
bool | is_reader () const
bool | is_writer () const
bool | operator< (const EntityId_t &other) const
| Entity Id minor operator.

## Static Public Member Functions

static EntityId_t | unknown ()
static int | cmp (const EntityId_t &entity1, const EntityId_t &entity2)
| Entity Id compare static method.

## Public Attributes

octet | value [size]

## Static Public Attributes

static constexpr unsigned int | size = 4

## Detailed Description

Structure EntityId_t, entity id part of GUID_t.

## Constructor & Destructor Documentation

## ◆ EntityId_t() [1/4]

EntityId_t | ( |  | ) |

inline

Default constructor. Unknown entity.

## ◆ EntityId_t() [2/4]

EntityId_t | ( | uint32_t | id | ) |

inline

Main constructor.

Parameters

  id | Entity id

## ◆ EntityId_t() [3/4]

EntityId_t | ( | const EntityId_t & | id | ) |

inline

Copy constructor.

## ◆ EntityId_t() [4/4]

EntityId_t | ( | EntityId_t && | id | ) |

inline

Move constructor.

## Member Function Documentation

## ◆ cmp()

int cmp | ( | const EntityId_t & | entity1,
|  | const EntityId_t & | entity2 )

inline static

Entity Id compare static method.

Parameters

  entity1 | First entity id to compare
  entity2 | Second entity id to compare

Returns
  0 if `entity1` is equal to `entity2` .
  < 0 if `entity1` is lower than `entity2` .
  > 0 if `entity1` is higher than `entity2` .

## ◆ is_reader()

bool is_reader | ( |  | ) | const

inline

## ◆ is_writer()

bool is_writer | ( |  | ) | const

inline

## ◆ operator<()

bool operator< | ( | const EntityId_t & | other | ) | const

inline

Entity Id minor operator.

Parameters

  other | Second entity id to compare

Returns
  True if `other` is higher than this

## ◆ operator=() [1/3]

EntityId_t & operator= | ( | const EntityId_t & | id | ) |

inline

## ◆ operator=() [2/3]

EntityId_t & operator= | ( | EntityId_t && | id | ) |

inline

## ◆ operator=() [3/3]

EntityId_t & operator= | ( | uint32_t | id | ) |

inline

Assignment operator.

Parameters

  id | Entity id to copy

## ◆ reverse()

void reverse | ( |  | ) |

inline

## ◆ to_uint32()

uint32_t to_uint32 | ( |  | ) | const

inline

conversion to uint32_t

Returns
  uint32_t representation

## ◆ unknown()

EntityId_t unknown | ( |  | ) |

inline static

## Member Data Documentation

## ◆ size

unsigned int size = 4

static constexpr

## ◆ value

octet value[size]

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/EntityId_t.hpp